import * as $dara from '@darabonba/typescript';
import { DeleteImageEventOperationResponseBody } from "./DeleteImageEventOperationResponseBody";
export declare class DeleteImageEventOperationResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteImageEventOperationResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
